org.apache.hadoop.hdfs.server.namenode

## Class QuotaByStorageTypeEntry.Builder

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.QuotaByStorageTypeEntry.Builder

- Enclosing class:
    QuotaByStorageTypeEntry

      public static class QuotaByStorageTypeEntry.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QuotaByStorageTypeEntry` | `build()`
    `QuotaByStorageTypeEntry.Builder` | `setQuota(long quota)`
    `QuotaByStorageTypeEntry.Builder` | `setStorageType(org.apache.hadoop.fs.StorageType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setStorageType

          public QuotaByStorageTypeEntry.Builder setStorageType(org.apache.hadoop.fs.StorageType type)

    - #### setQuota

          public QuotaByStorageTypeEntry.Builder setQuota(long quota)

    - #### build

          public QuotaByStorageTypeEntry build()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.